View Issue Details

IDProjectCategoryView StatusLast Update
0004901mantisbtadministrationpublic2004-12-11 03:01
Reporterjjtest Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19.1 
Fixed in Version0.19.2 
Summary0004901: When $g_create_project_threshold = MANAGER, and manager creates project, he should automatically be added to project as manager
Description

When $g_create_project_threshold = MANAGER, and manager creates project, he should automatically be added to that project AS MANAGER. Now,after he's added the project, he has to call an admin to add him to the project he just created... which is what I was trying to avoid by letting a MANAGER add a project in the first place.

And I don't want all managers being automatically added to all projects...just the ones THEY manage. Thanks. jj

TagsNo tags attached.

Relationships

has duplicate 0004953 closed Managers can lock themselves out of a project 
child of 0004818 closedvboctor Mantis 0.19.2 release 

Activities

2004-12-01 06:40

 

4901.diff (974 bytes)   
Index: manage_proj_create.php
===================================================================
RCS file: /cvsroot/mantisbt/mantisbt/manage_proj_create.php,v
retrieving revision 1.5
diff -u -r1.5 manage_proj_create.php
--- manage_proj_create.php	11 Jan 2004 07:16:07 -0000	1.5
+++ manage_proj_create.php	1 Dec 2004 13:42:12 -0000
@@ -19,7 +19,13 @@
 	$f_status		= gpc_get_int( 'status' );
 	$f_file_path	= gpc_get_string( 'file_path', '' );
 
-	project_create( $f_name, $f_description, $f_status, $f_view_state, $f_file_path );
+	$t_project_id = project_create( $f_name, $f_description, $f_status, $f_view_state, $f_file_path );
+
+	if ( ( $f_view_state == VS_PRIVATE ) && ( false === current_user_is_administrator() ) ) {
+		$t_access_level = access_get_global_level();
+		$t_current_user_id = auth_get_current_user_id();
+		project_add_user( $t_project_id, $t_current_user_id, $t_access_level );
+	}
 
 	$t_redirect_url = 'manage_proj_page.php';
 
4901.diff (974 bytes)   
vboctor

vboctor

2004-12-01 06:41

manager   ~0008472

Fixed in CVS and patch attached.

Issue History

Date Modified Username Field Change
2004-11-24 10:23 jjtest New Issue
2004-12-01 06:39 vboctor Assigned To => vboctor
2004-12-01 06:40 vboctor File Added: 4901.diff
2004-12-01 06:41 vboctor Status new => resolved
2004-12-01 06:41 vboctor Fixed in Version => 0.19.2
2004-12-01 06:41 vboctor Resolution open => fixed
2004-12-01 06:41 vboctor Note Added: 0008472
2004-12-01 06:42 vboctor Relationship added child of 0004818
2004-12-08 16:09 jlatour Relationship added has duplicate 0004953
2004-12-11 03:01 vboctor Status resolved => closed